Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.jsp
Class ActionTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts2.views.jsp.StrutsBodyTagSupport
                  org.apache.struts2.views.jsp.ComponentTagSupport
                      org.apache.struts2.views.jsp.ContextBeanTag
                          org.apache.struts2.views.jsp.ActionTag

All Implemented Interfaces:
  Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ActionTag

extends ContextBeanTag

See Also:
  `ActionComponent`, Serialized Form

Field Summary
`protected boolean` | `executeResult`
`protected boolean` | `flush`
`protected boolean` | `ignoreContextParams`
`protected String` | `name`
`protected String` | `namespace`
`protected boolean` | `rethrowException`

Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`component`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ActionTag()`

Method Summary
`protected void` | `addParameter(String name, Object value)`
`Component` | `getBean(ValueStack stack, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`boolean` | `getFlush()`
`protected void` | `populateParams()`
`void` | `setExecuteResult(boolean executeResult)`
`void` | `setFlush(boolean flush)`
`void` | `setIgnoreContextParams(boolean ignoreContextParams)`
`void` | `setName(String name)`
`void` | `setNamespace(String namespace)`
`void` | `setRethrowException(boolean rethrowException)`

Methods inherited from class org.apache.struts2.views.jsp.ContextBeanTag
`setId, setVar`

Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`doEndTag, doStartTag, getComponent`

Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport
`findString, findValue, findValue, getBody, getStack, toString`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### name

    protected String name

### namespace

    protected String namespace

### executeResult

    protected boolean executeResult

### ignoreContextParams

    protected boolean ignoreContextParams

### flush

    protected boolean flush

### rethrowException

    protected boolean rethrowException

Constructor Detail

### ActionTag

    public ActionTag()

Method Detail

### getBean

    public Component getBean(ValueStack stack,
                             javax.servlet.http.HttpServletRequest req,
                             javax.servlet.http.HttpServletResponse res)

  Specified by:
    `getBean` in class `ComponentTagSupport`

### populateParams

    protected void populateParams()

  Overrides:
    `populateParams` in class `ContextBeanTag`

### addParameter

    protected void addParameter(String name,
                                Object value)

### setName

    public void setName(String name)

### setNamespace

    public void setNamespace(String namespace)

### setExecuteResult

    public void setExecuteResult(boolean executeResult)

### setIgnoreContextParams

    public void setIgnoreContextParams(boolean ignoreContextParams)

### setFlush

    public void setFlush(boolean flush)

### getFlush

    public boolean getFlush()

### setRethrowException

    public void setRethrowException(boolean rethrowException)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.